//此乃本模块与后台交互的方法接口部分
var appstoreModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
appstoreModel.prototype = BusinessObject;
//插入APPACCOUNT
appstoreModel.prototype.insertAppAccount = function(){};
//修改APPACCOUNT
appstoreModel.prototype.updateAppAccount = function(){};
//删除APPACCOUNT
appstoreModel.prototype.deleteAppAccount = function(){};
//插入APP
appstoreModel.prototype.insertApp = function(){};
//修改APP
appstoreModel.prototype.updateApp = function(){};
//删除APP
appstoreModel.prototype.deleteApp = function(){};
//默认给所有人员安装App
appstoreModel.prototype.insertDefaultInstall = function(){};
//默认给所有新加人员安装App
appstoreModel.prototype.insertDefaultInstallNewUser = function(){};

//插入Catalog
appstoreModel.prototype.insertCategory = function(){};
//修改Catalog
appstoreModel.prototype.updateCategory = function(){};
//删除Catalog
appstoreModel.prototype.deleteCategory = function(){};

//插入install
appstoreModel.prototype.insertInstall = function(){};
//修改install
appstoreModel.prototype.updateInstall = function(){};
//删除install
appstoreModel.prototype.deleteInstall = function(){};
appstoreModel.prototype.deleteInstall_app_id = function(){};
appstoreModel.prototype.deleteInstall_app_user = function(){};

//插入uninstall
appstoreModel.prototype.insertUninstall = function(){};
//修改uninstall
appstoreModel.prototype.updateUninstall = function(){};
//删除uninstall
appstoreModel.prototype.deleteUninstall = function(){};
appstoreModel.prototype.deleteUninstall_app_id = function(){};
appstoreModel.prototype.deleteUninstall_app_user = function(){};

//获取APPACCOUNT信息_分页
appstoreModel.prototype.listAppAccount = function(){};
//获取所有APPACCOUNT信息
appstoreModel.prototype.listAllAppAccount = function(){};
//获取App信息_分页
appstoreModel.prototype.listApp = function(){};
//获取所有app信息
appstoreModel.prototype.listAllApp = function(){};
//获取所有app分类信息
appstoreModel.prototype.listAllCategory = function(){};
//获取用户所有已安装和未安装app信息
appstoreModel.prototype.listUserAllApp = function(){};

//创建一个数据操作对象，然后再后续使用
appstoreModel.actAction = new appstoreModel("json").delegate("jwAppsAppstoreAct");
//创建一个数据获取对象，然后再后续使用
appstoreModel.dataAction = new appstoreModel("json").delegate("jwAppsAppstoreData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
